Bug 478133 - MIGRATED_FROM_JIRA: NullPointerException in EntryCache.get(String dn)
MIGRATED_FROM_JIRA: NullPointerException in EntryCache.get(String dn)
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:02 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:02:34 EST
I looked into this and i found out that, Partion.findEntryMappings(String dn) didn't find entries below dynamic entries.

I think in the "if" in line 475 in Partion.java. I can't understand this continue-jump. If i comment this line out, every thing seems to work fine, even the PartionTest.
Additional Comments From endisd dated Mon Jun 12 10:26:40 CDT 2006 
This has been fixed in Penrose 1.0.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '2',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'bjoern.voss',
          'key' => 'PENROSE-150',
          'assignee' => 'endisd',
          'summary' => 'NullPointerException in EntryCache.get(String dn)',
          'id' => '10480',
          'updated' => '2006-06-12 14:34:34.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'I looked into this and i found out that, Partion.findEntryMappings(String dn) didn't find entries below dynamic entries.

I think in the "if" in line 475 in Partion.java. I can't understand this continue-jump. If i comment this line out, every thing seems to work fine, even the PartionTest.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-06-12 00:00:00.0',
                                 'sequence' => '12',
                                 'name' => 'Penrose-1.0',
                                 'released' => 'true',
                                 'id' => '10072',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2006-06-09 01:51:13.0',
          'environment' => 'Windows XP SP2, JAVA SDK 1.5_06, Eclipse 3.1.2',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:02:37 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-150

Note You need to log in before you can comment on or make changes to this bug.